/* =============================================
   ШАГИ (АЛГОРИТМ)
   ============================================= */

.steps { padding: 120px 0 0; }

.steps__inner {
  display: grid;
  gap: 20px;
  grid-template-columns: 0.96fr 1.36fr;
}

.steps__content { flex: 0 0 340px; }
.steps__title { margin-bottom: 20px; }
.steps__description { color: var(--graphite); margin-bottom: 40px; }
.steps__btn { width: 285px; }

.steps__list {
  flex: 1;
  min-width: 0;
  display: grid;
  grid-template-columns: 1fr 285px;
  row-gap: 0;
}

.steps__item {
  border-top: 1px solid var(--deep-navy);
  display: flex;
  flex-direction: column;
  gap: 10px; 
  padding-left: 16px;
  padding-top: 20px;
  padding-bottom: 20px;
  position: relative;
}

.steps__item:nth-child(odd) > * {
  max-width: 285px;
  width: 100%;
}
.steps__item:nth-child(1),
.steps__item:nth-child(2) { border-top: none; padding-top: 0; }

.steps__item:nth-last-child(1),
.steps__item:nth-last-child(2) { padding-bottom: 0; }

.steps__num-row { display: flex; align-items: center; gap: 10px; margin-bottom: 4px; height: 70px; }
.steps__num-bar { width: 3px; height: 70px; position: absolute; left: 0; top: 20px; border-radius: 2px; background: var(--soft-sand); flex-shrink: 0; }
.steps__item:nth-child(1) .steps__num-bar,
.steps__item:nth-child(2) .steps__num-bar { top: 0; }
.steps__num { color: var(--deep-navy); }

.steps__item-title { }
.steps__item-text { color: var(--graphite); }

@media (max-width: 1080px) {
  .steps__inner { grid-template-columns: 1fr; gap: 40px; }
  .steps__list { grid-template-columns: 1fr 1fr; }
}

@media (max-width: 768px) {
  .steps { padding: 60px 0 0; }
  .steps__title { margin-bottom: 10px; }
  .steps__description { margin-bottom: 20px; }
  .steps__btn { width: 100%; }
  
  .steps__item { padding: 20px 0 20px 13px; }
  .steps__num-row {
    height: auto;
  }
  .steps__num-bar { height: 67px; }
  .steps__item-title,
  .steps__item-text { max-width: none; }
}
